Skip to main content
GET
/
organizations
/
{id}
/
enterprise-connections
/
{connectionId}
/
scim
/
token
Get SCIM token
curl --request GET \
  --url https://api.wacht.dev/organizations/{id}/enterprise-connections/{connectionId}/scim/token \
  --cookie session_id=
{
  "status": 200,
  "message": "",
  "data": {
    "exists": true,
    "token": {
      "token": "wacht_scim_abc123def456...",
      "token_prefix": "wacht_scim...xyz",
      "enabled": true,
      "created_at": "2024-01-15T10:30:00Z",
      "last_used_at": "2024-01-16T14:20:00Z",
      "scim_base_url": "https://api.wacht.dev/scim/v2"
    },
    "scim_base_url": "<string>"
  },
  "session": {
    "id": "123456789012345678",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "errors": [
    {
      "code": "INVALID_CREDENTIALS",
      "message": "Invalid credentials. Please try again."
    }
  ]
}

Authorizations

session_id
string
cookie
required

Session-based authentication using cookies

Path Parameters

id
string<uint64>
required

Organization ID

connectionId
string<uint64>
required

Response

SCIM token info retrieved

status
integer

HTTP status code

Example:

200

message
string

Response message (empty on success)

Example:

""

data
object
session
object

Minimal session info included in every response

errors
object[] | null

Error details (null on success)